XBMC Community Forum
XBMC for Linux VDPAU - NVIDIA GPU video decoding support (now in the mainline SVN) - Printable Version

+- XBMC Community Forum (http://forum.xbmc.org)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Kodi General Help and Support (/forumdisplay.php?fid=111)
+---- Forum: Linux and Live support (/forumdisplay.php?fid=52)
+---- Thread: XBMC for Linux VDPAU - NVIDIA GPU video decoding support (now in the mainline SVN) (/showthread.php?tid=45525)



- cejstrup - 2009-03-08 11:37

penquissciguy Wrote:Thanks for posting this. When I saw the work going on with XBMC and VDPAU, I decided a low power HD media server would be a good project. My hardware is very similar - a 1.6 GHz Celeron-L 420, 2 gigs of RAM, and an nVidia 9400GT PCI-E card. Just got the machine together tonight and was playing with XBMC Live. I'll report when I have a VDPAU-enabled install set up - here's hoping it works as well as yours.

Ken

It should work fine. In fact I'm considering getting a CPU like yours to try and clock it down to close to 1 GHz. Smile
At the moment I'm down to 1.5GHz and seems to have hit some sort of limit of this CPU and motherboard combo because I can't get it to run slower No


- cejstrup - 2009-03-08 11:38

pyrates Wrote:Tried this on a 7600GT and every time I tried to open a h.264 movie in mkv or hdmov, it would immediately crash X and I would need to shutdown and restart the computer. I did update to the latest prerelease driver.

That card is not VDPAU supported so that's probably why it crashes. Some time ago I tried it on my desktop PC with a 8800gs 320MB version and it also crashes because this card is also not VDPAU supported.


- BLKMGK - 2009-03-08 11:52

cejstrup Wrote:That card is not VDPAU supported so that's probably why it crashes. Some time ago I tried it on my desktop PC with a 8800gs 320MB version and it also crashes because this card is also not VDPAU supported.

8800GS should indeed be supported although the memory size could be an issue. So far as I know all of the 8xxx series NVIDIA cards support VDPAU. 7xxx cards on the other hand are not supported per NVIDIA.

Edit: not quirte all of the 8xxx series cards are supported. Some discussion in another VDPAU thread clarifies this and includes some good links to what is and isn't supported. The GS looks to be supported near as I can tell <shrug> http://forum.xbmc.org/showthread.php?tid=40362&page=39


- cejstrup - 2009-03-08 13:04

Sorry,my card is an 8800 GTS 320MB version. And it's not supported since it doesn't have the g9x core Sad
But it's OK,since I have a separate media center PC,although would have been nice for testing.


- shagworthy_uk - 2009-03-08 14:15

Tried with SVN 18331 and Nvidia driver 180.37 and it is seeming pretty stable so far. Most of the issues i was seeing have been fixed.

On one file though when i started it, it did a very strange thing and cut an image (of which i have no idea where it got it from) into 4 and re-arranged them, but it did not lock up or crash so i was able to stop it and try again. Second time it played fine but with some colour trouble at the start (green mainly).

Here is the log for the above two issues:
http://pastebin.com/m63761839

Thanks for all your hard work on this!


- jeey - 2009-03-08 15:39

After upgrading to jaunty im getting some compile errors

http://pastebin.com/m21dba7c5

Anyone got any pointers for these?


- BLKMGK - 2009-03-08 16:54

jeey Wrote:After upgrading to jaunty im getting some compile errors

http://pastebin.com/m21dba7c5

Anyone got any pointers for these?

Versioning issue with Automake it looks like - your install looks to have anewer version?


- Haggy - 2009-03-08 21:44

This looks like the same goom issue everybody's getting if not on Ubuntu 8.xx. Try running ./autogen.sh from from the goom2k4-0 directory.


- COoLoSER - 2009-03-08 23:53

I'm getting that kind of errors once a while. It happens during navigation through movies list. This errors brings xmbc crash. Second thing is that I don't have movie thumbnails on x264 content, i have only green lines.

Code:
21:48:54 T:2873596816 M:1557803008   DEBUG: SeekTime - unknown position after seek
21:48:54 T:2889874320 M:1557803008   DEBUG: SeekTime - seek ended up on time 2120085
21:48:54 T:2873596816 M:1556684800   ERROR:  (VDPAU) Error 3 at DVDVideoCodecFFmpegVDPAU.cpp:156
21:48:54 T:2873596816 M:1556684800   ERROR:  (VDPAU) Error 3 at DVDVideoCodecFFmpegVDPAU.cpp:156
21:48:54 T:2873596816 M:1556684800   ERROR:  (VDPAU) Error 3 at DVDVideoCodecFFmpegVDPAU.cpp:203



solution to slow 1080p playback with vdpau on system with amd cpu and onboard nvidia - s7mx1 - 2009-03-09 00:18

I have struggled to make 1080p playback using vdpau working until I manually changed the cpu speed to 1.8G. Before that the audio and video will out of sync. Mplayer will report "system is too slow...", xbmc will show the actual fps to be much less than the expected.

As other user pointed out, the (shared) memory bandwidth on amd system will not be sufficient when the cpu runs at 1G.

My setup

CPU: amd 64x2 5000+
MainBoard: GF8100 M2+ TE
Memory: 4G (dual channel)
GPU: onboard geforce 8100 (MCP78A) with shared 512 Memory
Driver: Nvidia 182.37
XBMC version: 18334


For me cpu runs at 1G is fine for 720P but not 1080p. If you are having similar problems please change it manually to a higher frequency.


Thank all developers for all their hard work. Now it seems we can actually enjoy vdpau with Linux.

There seems to be some problems with the "sync to v blank" in full screen mode. If disabled the gui will be smooth to operate, but the cpu usage will shoot; if enabled, the fps will be less than 20 and the gui will be sluggish. However they will not affect video playback. I would say it's probably something to do with the driver.

The other problem I encountered is some clips will not be played correctly. I have some clips download from apple, they are encoded in h.264.
Code:
imax-desolation_m1080p2.mov
bbc_earth_m1080p.mov
during playback some past scene will be displayed, give me the 'shaky' feeling. mplayer with vdpau plays them just fine.


how to install - chene - 2009-03-09 02:41

hi,

sorry for the slightly off-topic question, but since avenard.org doesn't have a forum nor contact info for the author, I was hoping I can get my installation problem resolved by asking the question here.

I previously had envy-ng installed for my nvidia card. In order to installed the latest nvidia driver using avenard's ppa, I've:

1) un-installed nvidia's driver *from* envy-ng,
2) un-installed envy-ng,
3) added avernard's ppd into sources.list according to their web,
4) updated the repository, rebooted, and installed avernard's nvidia driver via: sudo apt-get install nvidia-glx-180
5) I also installed VDPAU's deb packages, now I have:

dpkg -l|grep nvidia
ii nvidia-180-kernel-source 180.37-0ubuntu0 NVIDIA binary kernel module source
ii nvidia-180-libvdpau 180.37-0ubuntu0 Video Decode and Presentation API for Unix
ii nvidia-180-libvdpau-dev 180.37-0ubuntu0 Video Decode and Presentation API for Unix d
ii nvidia-180-modaliases 180.37-0ubuntu0 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-glx-180 180.37-0ubuntu0 NVIDIA binary Xorg driver
ii nvidia-glx-180-dev 180.37-0ubuntu0 NVIDIA binary Xorg driver development files
ii nvidia-kernel-common 20051028+1ubuntu8 NVIDIA binary kernel module common files
ii nvidia-settings 1.0+20080304-0ubuntu1.1 Tool of configuring the NVIDIA graphics driv


However, after rebooting, I get black screen. After getting some info from dmesg, it looks like the kernel driver for nvidia was outdated, i.e. from my previous envy-ng installation, and it caused the driver to be not loaded.

Am I missing any files on my installation? Can someone please help me in getting the latest nvidia's driver installed?

thanks,
shagworthy_uk Wrote:Cheers! I used deb http://www.avenard.org/files/ubuntu-repos/ release/ and they work like a charm.



Pulse is disabled (i believe as i could not get SPDIF to work with pulse), I will try the new SVN tomorrow and report back. I will also try disabling auto refresh rate if that fails.



- pyrates - 2009-03-09 03:05

chene Wrote:hi,

sorry for the slightly off-topic question, but since avenard.org doesn't have a forum nor contact info for the author, I was hoping I can get my installation problem resolved by asking the question here.

I previously had envy-ng installed for my nvidia card. In order to installed the latest nvidia driver using avenard's ppa, I've:

1) un-installed nvidia's driver *from* envy-ng,
2) un-installed envy-ng,
3) added avernard's ppd into sources.list according to their web,
4) updated the repository, rebooted, and installed avernard's nvidia driver via: sudo apt-get install nvidia-glx-180
5) I also installed VDPAU's deb packages, now I have:

dpkg -l|grep nvidia
ii nvidia-180-kernel-source 180.37-0ubuntu0 NVIDIA binary kernel module source
ii nvidia-180-libvdpau 180.37-0ubuntu0 Video Decode and Presentation API for Unix
ii nvidia-180-libvdpau-dev 180.37-0ubuntu0 Video Decode and Presentation API for Unix d
ii nvidia-180-modaliases 180.37-0ubuntu0 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-glx-180 180.37-0ubuntu0 NVIDIA binary Xorg driver
ii nvidia-glx-180-dev 180.37-0ubuntu0 NVIDIA binary Xorg driver development files
ii nvidia-kernel-common 20051028+1ubuntu8 NVIDIA binary kernel module common files
ii nvidia-settings 1.0+20080304-0ubuntu1.1 Tool of configuring the NVIDIA graphics driv


However, after rebooting, I get black screen. After getting some info from dmesg, it looks like the kernel driver for nvidia was outdated, i.e. from my previous envy-ng installation, and it caused the driver to be not loaded.

Am I missing any files on my installation? Can someone please help me in getting the latest nvidia's driver installed?

thanks,

Follow the instructions here on installing the nvidia driver. You can't go with the released version, you have to use the prereleased version. Here's a link to keep an eye on what the latest prereleased version is.


thanks, but.. - chene - 2009-03-09 03:11

Thanks for the quick reply, but I was hoping to use the ppa repository since it will keep my system updated automatically (especially with the kernel update). I used to install the nvidia's driver manually but it gets tiresome after a while, especially one has to pay attention if the kernel has been updated, and if so, have to re-install the nvidia driver manually.



pyrates Wrote:Follow the instructions here on installing the nvidia driver. You can't go with the released version, you have to use the prereleased version. Here's a link to keep an eye on what the latest prereleased version is.



- pyrates - 2009-03-09 03:14

chene Wrote:Thanks for the quick reply, but I was hoping to use the ppa repository since it will keep my system updated automatically (especially with the kernel update). I used to install the nvidia's driver manually but it gets tiresome after a while, especially one has to pay attention if the kernel has been updated, and if so, have to re-install the nvidia driver manually.

If you want to use this release of XBMC with hardware support for decoding of video, then that's what you have to do.


180.37 - chene - 2009-03-09 03:35

the ppa at http://www.avenard.org/media/Ubuntu_Repository/Ubuntu_Repository.html has nvidia version 180.37 which, I believe, is what the latest release of xbmc needs.

please correct me if I'm wrong.

Thanks,

pyrates Wrote:If you want to use this release of XBMC with hardware support for decoding of video, then that's what you have to do.